From 812c215867472049ad180e91835cea30417d8897 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 11 2017 13:00:29 +0000
Subject: [PATCH 3/3] Remove the pendingacls widget: obsolete with Pagure


---

diff --git a/hubs/default_config.py b/hubs/default_config.py
index 3924a1f..fe46f94 100644
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -71,6 +71,5 @@ WIDGETS = [
     'hubs.widgets.stats:Stats',
     'hubs.widgets.sticky:Sticky',
     'hubs.widgets.subscriptions:Subscriptions',
-    'hubs.widgets.workflow.pendingacls:PendingACLs',
     'hubs.widgets.workflow.updates2stable:Updates2Stable',
     ]
diff --git a/hubs/defaults.py b/hubs/defaults.py
index 7bda776..5cf01f8 100644
--- a/hubs/defaults.py
+++ b/hubs/defaults.py
@@ -46,12 +46,6 @@ def add_user_widgets(session, hub, username, fullname):
         }))
     hub.widgets.append(widget)
     widget = hubs.models.Widget(
-        plugin='workflow.pendingacls', index=2,
-        _config=json.dumps({
-            'username': username,
-        }))
-    hub.widgets.append(widget)
-    widget = hubs.models.Widget(
         plugin='subscriptions', index=3,
         _config=json.dumps({
             'username': username,
diff --git a/hubs/tests/utils/test_views.py b/hubs/tests/utils/test_views.py
index ca49dac..262df3d 100644
--- a/hubs/tests/utils/test_views.py
+++ b/hubs/tests/utils/test_views.py
@@ -43,8 +43,8 @@ class ViewUtilsTest(APPTest):
         self.assertListEqual(
             [w.plugin for w in widgets["right"]],
             ['contact', 'meetings', 'fedmsgstats', 'workflow.updates2stable',
-             'workflow.pendingacls', 'subscriptions', 'badges', 'pagure_pr',
-             'github_pr', 'bugzilla', 'halp', 'about']
+             'subscriptions', 'badges', 'pagure_pr', 'github_pr', 'bugzilla',
+             'halp', 'about']
             )
 
     def test_get_visible_widgets_preview(self):
diff --git a/hubs/widgets/workflow/updates2stable.py b/hubs/widgets/workflow/updates2stable.py
index 6b87c03..25cc62d 100644
--- a/hubs/widgets/workflow/updates2stable.py
+++ b/hubs/widgets/workflow/updates2stable.py
@@ -30,7 +30,6 @@ class Updates2Stable(Widget):
 
 class BaseView(RootWidgetView):
 
-    # TODO -- add approve/deny buttons or just link through to pkgdb
     template_name = "updates2stable.html"
 
     def get_context(self, instance, *args, **kwargs):

